### Virtual Method

# Gtk TreeModeliter_next

deprecated: 4.10

#### Declaration [src]

    gboolean
    iter_next (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Sets `iter` to point to the node following it at the current level.

If there is no next `iter`, `FALSE` is returned and `iter` is set to be invalid.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter`

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `iter` has been changed to the next node.